Package org.eclipse.e4.ui.model.application.ui.basic

## Interface MBasicFactory

    public interface MBasicFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

Fields
`static MBasicFactory` `INSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`MCompositePart` `createCompositePart()` Returns a new object of class 'Composite Part'.
`MDialog` `createDialog()` Deprecated.
`MInputPart` `createInputPart()` Deprecated. See `model documentation` for details
`MPart` `createPart()` Returns a new object of class 'Part'.
`MPartSashContainer` `createPartSashContainer()` Returns a new object of class 'Part Sash Container'.
`MPartStack` `createPartStack()` Returns a new object of class 'Part Stack'.
`MTrimBar` `createTrimBar()` Returns a new object of class 'Trim Bar'.
`MTrimmedWindow` `createTrimmedWindow()` Returns a new object of class 'Trimmed Window'.
`MWindow` `createWindow()` Returns a new object of class 'Window'.
`MWizardDialog` `createWizardDialog()` Deprecated.

### Field Detail

#### INSTANCE

    static final MBasicFactory INSTANCE

The singleton instance of the factory.

### Method Detail

#### createPart

    MPart createPart()

Returns a new object of class 'Part'.

Returns:
  a new object of class 'Part'.
Since:
  1.0

#### createCompositePart

    MCompositePart createCompositePart()

Returns a new object of class 'Composite Part'.

Returns:
  a new object of class 'Composite Part'.
Since:
  1.1 , 1.1

#### createInputPart

    @Deprecated
    MInputPart createInputPart()

Deprecated.
See `model documentation` for details
Returns a new object of class 'Input Part'.

Returns:
  a new object of class 'Input Part'.
Since:
  1.0
See Also:
  Bug 509868
Restriction:
  This method is not intended to be referenced by clients.

#### createPartStack

    MPartStack createPartStack()

Returns a new object of class 'Part Stack'.

Returns:
  a new object of class 'Part Stack'.
Since:
  1.0

#### createPartSashContainer

    MPartSashContainer createPartSashContainer()

Returns a new object of class 'Part Sash Container'.

Returns:
  a new object of class 'Part Sash Container'.
Since:
  1.0

#### createWindow

    MWindow createWindow()

Returns a new object of class 'Window'.

Returns:
  a new object of class 'Window'.
Since:
  1.0

#### createTrimmedWindow

    MTrimmedWindow createTrimmedWindow()

Returns a new object of class 'Trimmed Window'.

Returns:
  a new object of class 'Trimmed Window'.
Since:
  1.0

#### createTrimBar

    MTrimBar createTrimBar()

Returns a new object of class 'Trim Bar'.

Returns:
  a new object of class 'Trim Bar'.
Since:
  1.0

#### createDialog

    @Deprecated
    MDialog createDialog()

Deprecated.
Returns a new object of class 'Dialog'.

Returns:
  a new object of class 'Dialog'.
Since:
  1.1 , 1.1
See Also:
  Bug 531054
Restriction:
  This method is not intended to be referenced by clients.

#### createWizardDialog

    @Deprecated
    MWizardDialog createWizardDialog()

Deprecated.
Returns a new object of class 'Wizard Dialog'.

Returns:
  a new object of class 'Wizard Dialog'.
Since:
  1.1 , 1.1
See Also:
  Bug 531054
Restriction:
  This method is not intended to be referenced by clients.